Update fails

cancel
Showing results for 
Search instead for 
Did you mean: 

Update fails

466 Views
Contributor III

When I check for updates, KDS 3.2 says there are a few updates to things like PEMicro debugger and FreeRTOS debugging plugin.  When I try to update, I get this:

An error occurred while collecting items to be installed
session context was:(profile=DefaultProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,com.nxp.freertos.gdb.tad,1.0.2.201704260904
No repository found containing: osgi.bundle,com.nxp.npw4ksdk,2.1.0.201703201355
No repository found containing: osgi.bundle,com.pemicro.core,1.2.0
No repository found containing: osgi.bundle,com.pemicro.debug.gdbjtag.pne,3.0.9.201707131553
No repository found containing: osgi.bundle,ilg.gnuarmeclipse.core,3.4.1.201704251808
No repository found containing: osgi.bundle,ilg.gnuarmeclipse.debug.core,1.2.1.201704251808
No repository found containing: osgi.bundle,ilg.gnuarmeclipse.debug.gdbjtag,3.2.1.201704251808
No repository found containing: osgi.bundle,ilg.gnuarmeclipse.debug.gdbjtag.jlink,4.1.4.201704251808
No repository found containing: osgi.bundle,ilg.gnuarmeclipse.debug.gdbjtag.openocd,4.1.4.201704251808
No repository found containing: osgi.bundle,ilg.gnuarmeclipse.debug.gdbjtag.restart,1.3.1.201704251808
No repository found containing: osgi.bundle,ilg.gnuarmeclipse.managedbuild.cross,2.4.1.201704251808
No repository found containing: osgi.bundle,ilg.gnuarmeclipse.packs.core,1.1.3.201704251808
No repository found containing: org.eclipse.update.feature,com.nxp.feature.npw4sdk,2.1.0.201703201355
No repository found containing: org.eclipse.update.feature,com.nxp.freertos.gdb.tad.feature,1.0.2.201704260904
No repository found containing: osgi.bundle,com.nxp.sdkmanifest,1.0.0.201701180731
No repository found containing: org.eclipse.update.feature,com.pemicro.debug.gdbjtag.pne.feature,3.0.9.201707131553
No repository found containing: org.eclipse.update.feature,ilg.gnuarmeclipse.debug.gdbjtag.jlink,4.1.4.201704251808
No repository found containing: org.eclipse.update.feature,ilg.gnuarmeclipse.debug.gdbjtag.openocd,4.1.4.201704251808
No repository found containing: org.eclipse.update.feature,ilg.gnuarmeclipse.managedbuild.cross,2.4.1.201704251808An error occurred while collecting items to be installed
session context was:(profile=DefaultProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,com.nxp.freertos.gdb.tad,1.0.2.201704260904
No repository found containing: osgi.bundle,com.nxp.npw4ksdk,2.1.0.201703201355
No repository found containing: osgi.bundle,com.pemicro.core,1.2.0
No repository found containing: osgi.bundle,com.pemicro.debug.gdbjtag.pne,3.0.9.201707131553
No repository found containing: osgi.bundle,ilg.gnuarmeclipse.core,3.4.1.201704251808
No repository found containing: osgi.bundle,ilg.gnuarmeclipse.debug.core,1.2.1.201704251808
No repository found containing: osgi.bundle,ilg.gnuarmeclipse.debug.gdbjtag,3.2.1.201704251808
No repository found containing: osgi.bundle,ilg.gnuarmeclipse.debug.gdbjtag.jlink,4.1.4.201704251808
No repository found containing: osgi.bundle,ilg.gnuarmeclipse.debug.gdbjtag.openocd,4.1.4.201704251808
No repository found containing: osgi.bundle,ilg.gnuarmeclipse.debug.gdbjtag.restart,1.3.1.201704251808
No repository found containing: osgi.bundle,ilg.gnuarmeclipse.managedbuild.cross,2.4.1.201704251808
No repository found containing: osgi.bundle,ilg.gnuarmeclipse.packs.core,1.1.3.201704251808
No repository found containing: org.eclipse.update.feature,com.nxp.feature.npw4sdk,2.1.0.201703201355
No repository found containing: org.eclipse.update.feature,com.nxp.freertos.gdb.tad.feature,1.0.2.201704260904
No repository found containing: osgi.bundle,com.nxp.sdkmanifest,1.0.0.201701180731
No repository found containing: org.eclipse.update.feature,com.pemicro.debug.gdbjtag.pne.feature,3.0.9.201707131553
No repository found containing: org.eclipse.update.feature,ilg.gnuarmeclipse.debug.gdbjtag.jlink,4.1.4.201704251808
No repository found containing: org.eclipse.update.feature,ilg.gnuarmeclipse.debug.gdbjtag.openocd,4.1.4.201704251808
No repository found containing: org.eclipse.update.feature,ilg.gnuarmeclipse.managedbuild.cross,2.4.1.201704251808

6 Replies

53 Views
NXP Employee
NXP Employee

Hi David,

this could be a network connection issue. I  recommend you use the menu Help > Install New software and check for the upates from there, one after each other.

But there is for sure a possible problem with the GNU ARM (new MCU) Eclipse plugins: the update site is on SourceForge and starting with this year they extended the connection security settings which can lead to a failure. For this, you better get the update from Downloads 

I hope this helps,

Erich

0 Kudos

53 Views
Contributor III

That's unfortunate, so one has to write down  all that need updating, and install them all manually from this other site?  Here's what's balking.  I've tried installing them individually, but they all produce the same error.  The "install new software" approach doesn't work either.

pastedImage_1.png

0 Kudos

53 Views
NXP Employee
NXP Employee

Hi David,

it seems something is interrupting your network connection or takes too long.

Can you try just to do the update for the Kinetis SDK v2 wizard. Make sure you uncheck 'Contact all update sites' (see Reduce Eclipse ‘Install New Software’ Installation Time | MCU on Eclipse ).

I hope this helps,

Erich

53 Views
NXP Employee
NXP Employee

Hi David,

in addition to that, you can consider downloading the update site content to your machine with the approach I have described in Replicating an Eclipse Update Site for Offline Usage | MCU on Eclipse . That way I have a copy of the update site(s) on my machine and can use it even if the network connection is not reliable or does not exist.

I hope this helps,

Erich

0 Kudos

53 Views
NXP TechSupport
NXP TechSupport

Hello David,

Please use the "Install New Software" as Erich said:

pastedImage_1.png

pastedImage_2.png

Hope it helps

Alice

0 Kudos

53 Views
NXP TechSupport
NXP TechSupport

Hello David,

What about the system of your PC ?

Please take screenshots about the steps when you update.

BR

Alice

0 Kudos